View Issue Details

IDProjectCategoryView StatusLast Update
0005982Talerwallet (WebExtensions)public2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.8 
Summary0005982: implement HTTP request throttling
DescriptionThe wallet must have some request throttling at the HTTP layer, so that even with potential bugs in the core wallet logic, servers don't get overwhelmed.

The throttling should be windows to allow bursts, so e.g. max 20 req/sec, max 100 req/min, max 1000 req/h.
TagsNo tags attached.

Activities

Florian Dold

2020-08-20 13:05

manager   ~0016673

Request throttling has been implemented in the wallet for a while.

I've now also made sure to surface better diagnostics when we run into a throttled request.

Issue History

Date Modified Username Field Change
2019-12-02 19:13 Florian Dold New Issue
2019-12-02 19:13 Florian Dold Status new => assigned
2019-12-02 19:13 Florian Dold Assigned To => Florian Dold
2020-08-20 13:05 Florian Dold Status assigned => resolved
2020-08-20 13:05 Florian Dold Resolution open => fixed
2020-08-20 13:05 Florian Dold Note Added: 0016673
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed